/* Header styles */

header {
	grid-area: headergrid;
	margin-bottom: 1rem;
}

.NavBar{
	display: grid;
	grid-template-areas:
	"navlogo"
	"navsubtitle"
	"navlinks";
}

.NavBar a:link{
	color: #999999;
	font-family: effra, sans-serif;
	text-decoration: none;
	text-align: center;
	font-size: 1rem;
	padding-top: 1%;
	padding-left: 1%;
	padding-right: 1%;
}

.NavBar a:hover{
	color: #6a2bc7;
}

.NavBar a:visited{
	color: #999999;
}

.NavBar .Icon {
	display: none;
}

.NavLogo{
	max-width: 20%;
	grid-area: navlogo;
}

.NavSubtitle{
	color: #999999;	
	font-family: effra, sans-serif;
	font-size: 1.5rem;
	text-align: center;
	grid-area: navsubtitle;
}

.NavLinkDiv{
	grid-area: navlinks;
	text-align: center;
}



/* Footer styles */

footer {
	grid-area:footergrid;
}

.FooterDiv{
    text-align: center;
    font-family: effra, sans-serif;
    font-weight: 400;
    text-decoration: none;
	color: #999999;
	font-size: 1rem;
}

.FooterDiv a{
	color: #6a2bc7
}

/* Body Styles */

body {
	display: grid;
	grid-template-rows: auto 1fr auto;
	grid-template-areas:
	"headergrid"
	"sectiongrid"
	"footergrid";
}

section {
	grid-area: sectiongrid;
}

article p {
    font-family: effra, sans-serif;
	color: #999999;
	padding: 1vw 2vw 1vw 2vw;
}

article h3 {
    font-family: effra, sans-serif;
	color: #999999;
}

article img {
	border: .125rem solid #999999;
	max-width: 25vw;
}

article {
	text-align: center;
}

.ThreeArticleSection {
	display: grid;
	grid-template-rows: auto;
	grid-template-areas:
	"one two three";
	gap: 2vw;
	margin-top: 2rem;
}

.ArticleOne {
	grid-area: one;
	margin-left: 5vw;
}

.ArticleTwo {
	grid-area: two;
}

.ArticleThree {
	grid-area: three;
	margin-right: 5vw;
}

/* Media queries for mobile */

@media screen and (max-width:600px){
	
	.NavBar a:not(:first-child){
		display: none;}
	.NavBar img.Icon{
		float: right;
		display: block;
		position: absolute;
		right: 0;
		top: 0;
		padding-top: 4%;
		padding-right: 1%;
	}
	
	.NavLinkDiv{
		display: none;}
	
	.NavBar.Repsonsive {
		position: relative;
	}
	
	
	.NavBar.Responsive a{
		float: none;
		display: block;
	}	
	
	.NavBar.Responsive a img{
		text-align: center;
	}
	
	.NavLink{
/*Keeps navigation links to the right on mobile */
	text-indent: 60%;
	}
	
	.NavBar.Responsive .NavLinkDiv{
		display: grid;
	}
	
	.NavSubtitle{
	font-size: .6rem;
	}
}